package com.seer.teach.pay.app.channel.convert;


import com.seer.teach.pay.app.pay.controller.resp.AppPayChannelResp;
import com.seer.teach.pay.entity.PayChannelEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import java.util.List;


@Mapper(componentModel = "spring")
public interface AppPayChannelConvert {

    AppPayChannelConvert INSTANCE = Mappers.getMapper(AppPayChannelConvert.class);

    AppPayChannelResp convertOne(PayChannelEntity payChannelEntity);

    List<AppPayChannelResp> convertList(List<PayChannelEntity> list);

}
